#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/install.sh - libwxbaseu2.8-dev installation
#
# Creation   :  2008-05-27 holbru
# Last update:  $Id: install.sh 671 2008-05-27 22:58:17Z holbru $
#
# Copyright (c) 2001-2008 the eisfair team, team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

# set packages name
packages_name=libwxbaseu2.8-dev
lib_version=2.8.7

#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
LinkDES="libwx_baseu-2.8.so.0.4.0"
LinkSRC="libwx_baseu-2.8.so"

cd /usr/lib/

for Link in ${LinkSRC}
do
    rm -f ${Link}
    ln -sf ${LinkDES} ${Link}
    echo "b 0755 root root "${packages_name}" usr/lib/"${Link}"" \
          >>/etc/filelist.d/${packages_name}-files.txt
done

LinkDES="libwx_baseu_net-2.8.so.0.4.0"
LinkSRC="libwx_baseu_net-2.8.so"

for Link in ${LinkSRC}
do
    rm -f ${Link}
    ln -sf ${LinkDES} ${Link}
    echo "b 0755 root root "${packages_name}" usr/lib/"${Link}"" \
          >>/etc/filelist.d/${packages_name}-files.txt
done

LinkDES="libwx_baseu_xml-2.8.so.0.4.0"
LinkSRC="libwx_baseu_xml-2.8.so"

for Link in ${LinkSRC}
do
    rm -f ${Link}
    ln -sf ${LinkDES} ${Link}
    echo "b 0755 root root "${packages_name}" usr/lib/"${Link}"" \
          >>/etc/filelist.d/${packages_name}-files.txt
done

rm -f /usr/bin/wx-config
ln -sf /usr/lib/wx/config/base-unicode-release-2.8 /usr/bin/wx-config
echo "b 0755 root root "${packages_name}" /usr/bin/wx-config" \
          >>/etc/filelist.d/${packages_name}-files.txt
#----------------------------------------------------------------------------
# running ldconfig
#----------------------------------------------------------------------------
/sbin/ldconfig >/dev/null 2>&1

exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------
